Subject: Bug#195: windows client ignores ssh port

From: Matthias Kauer <[email-masked]>
Date: Mon, 29 Apr 2013 14:52:01 +0200

Package: X2Go Client
Version: 4.0.0.3 (Qt - 4.8.1)

I want to use x2go over port 17022. For testing I therefore set 
Virtualbox to forward 17022 -> 22 and entered 17022 as ssh port in the 
x2goclient's config. After a while, a connection timeout window appears 
detailing that 127.0.0.2:22 could not be reached. Having VBox forward 22 
-> 22 and entering 22 in x2goclient resolved this.

Best,
Matthias

I am using Win7 64bit Host, Vbox 4.2.12, Xubuntu 12.10 guest
matthias@matthias-VirtualBox:~$ uname -a
Linux matthias-VirtualBox 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25 
19:58:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux